#!/bin/sh

#PBS -l walltime=0:10:00
#PBS -l select=1:ngpus=1:ncpus=4:mem=32gb
#PBS -q teslaq

cd $PBS_O_WORKDIR

vnodes=$(qstat -f $PBS_JOBID|grep exec_vnode|sed -e 's/ *//')
if [ $( echo $vnodes|grep -c '+') != 0 ] ; then
    echo "Error: several vnodes are provided."
    exit 100
fi
gpu_nbr=$(echo $vnodes|sed 's/.*\[//'|sed 's/\].*//')
echo "GPU number from vnodes = $gpu_nbr"
echo

source /etc/profile.d/modules.sh
module load pgi/14.10
make

## FIXME: 
## ps_gpu must receive '$gpu_nbr' as pameter
## and use the correcponding GPU only !

./ps_gpu
